Skip to content
Endless Documentation

Trigger ScheduledTask

POST
/organizations/{organization_id}/scheduled-tasks/{scheduled_task_id}/trigger

Trigger ScheduledTask. Scoped to the organization named by organization_id, and the scheduled task named by scheduled_task_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Length1 <= length
scheduled_task_id*string
Length1 <= length

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/org_abc123/scheduled-tasks/0191e5a2-c15d-7147-ba2f-7c8e0d36f915/trigger"
{  "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407"}